#ifndef SERVICEMANAGER_H
#define SERVICEMANAGER_H

#include <QObject>
#include <QDBusInterface>

class ServiceManager : public QObject {
    Q_OBJECT

public:
    explicit ServiceManager(QObject *parent = nullptr);
    ~ServiceManager();

    Q_INVOKABLE bool isSupported();
    Q_INVOKABLE void enableAvahi();
    Q_INVOKABLE void disableAvahi();
    Q_INVOKABLE bool isAvahiEnabled();

private:
    QDBusInterface m_systemd;
};

#endif // SERVICEMANAGER_H
